Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network164.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
164.0.0.0
Broadcast address
167.255.255.255
First usable
164.0.0.1
Last usable
167.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex A4000000 · Integer 2751463424 to 2818572287
Reverse DNS zones
164.in-addr.arpa
165.in-addr.arpa
166.in-addr.arpa
167.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100100.00000000.00000000.00000000164.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10100100.00000000.00000000.00000000164.0.0.0
Broadcast10100111.11111111.11111111.11111111167.255.255.255
Split into smaller subnets/15

164.0.0.0/6 makes 512 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1164.0.0.0/15164.0.0.1 to 164.1.255.254164.1.255.255131,070
2164.2.0.0/15164.2.0.1 to 164.3.255.254164.3.255.255131,070
3164.4.0.0/15164.4.0.1 to 164.5.255.254164.5.255.255131,070
4164.6.0.0/15164.6.0.1 to 164.7.255.254164.7.255.255131,070
5164.8.0.0/15164.8.0.1 to 164.9.255.254164.9.255.255131,070
6164.10.0.0/15164.10.0.1 to 164.11.255.254164.11.255.255131,070
7164.12.0.0/15164.12.0.1 to 164.13.255.254164.13.255.255131,070
8164.14.0.0/15164.14.0.1 to 164.15.255.254164.15.255.255131,070
9164.16.0.0/15164.16.0.1 to 164.17.255.254164.17.255.255131,070
10164.18.0.0/15164.18.0.1 to 164.19.255.254164.19.255.255131,070
11164.20.0.0/15164.20.0.1 to 164.21.255.254164.21.255.255131,070
12164.22.0.0/15164.22.0.1 to 164.23.255.254164.23.255.255131,070
13164.24.0.0/15164.24.0.1 to 164.25.255.254164.25.255.255131,070
14164.26.0.0/15164.26.0.1 to 164.27.255.254164.27.255.255131,070
15164.28.0.0/15164.28.0.1 to 164.29.255.254164.29.255.255131,070
16164.30.0.0/15164.30.0.1 to 164.31.255.254164.31.255.255131,070
17164.32.0.0/15164.32.0.1 to 164.33.255.254164.33.255.255131,070
18164.34.0.0/15164.34.0.1 to 164.35.255.254164.35.255.255131,070
19164.36.0.0/15164.36.0.1 to 164.37.255.254164.37.255.255131,070
20164.38.0.0/15164.38.0.1 to 164.39.255.254164.39.255.255131,070
21164.40.0.0/15164.40.0.1 to 164.41.255.254164.41.255.255131,070
22164.42.0.0/15164.42.0.1 to 164.43.255.254164.43.255.255131,070
23164.44.0.0/15164.44.0.1 to 164.45.255.254164.45.255.255131,070
24164.46.0.0/15164.46.0.1 to 164.47.255.254164.47.255.255131,070
25164.48.0.0/15164.48.0.1 to 164.49.255.254164.49.255.255131,070
26164.50.0.0/15164.50.0.1 to 164.51.255.254164.51.255.255131,070
27164.52.0.0/15164.52.0.1 to 164.53.255.254164.53.255.255131,070
28164.54.0.0/15164.54.0.1 to 164.55.255.254164.55.255.255131,070
29164.56.0.0/15164.56.0.1 to 164.57.255.254164.57.255.255131,070
30164.58.0.0/15164.58.0.1 to 164.59.255.254164.59.255.255131,070
31164.60.0.0/15164.60.0.1 to 164.61.255.254164.61.255.255131,070
32164.62.0.0/15164.62.0.1 to 164.63.255.254164.63.255.255131,070
33164.64.0.0/15164.64.0.1 to 164.65.255.254164.65.255.255131,070
34164.66.0.0/15164.66.0.1 to 164.67.255.254164.67.255.255131,070
35164.68.0.0/15164.68.0.1 to 164.69.255.254164.69.255.255131,070
36164.70.0.0/15164.70.0.1 to 164.71.255.254164.71.255.255131,070
37164.72.0.0/15164.72.0.1 to 164.73.255.254164.73.255.255131,070
38164.74.0.0/15164.74.0.1 to 164.75.255.254164.75.255.255131,070
39164.76.0.0/15164.76.0.1 to 164.77.255.254164.77.255.255131,070
40164.78.0.0/15164.78.0.1 to 164.79.255.254164.79.255.255131,070
41164.80.0.0/15164.80.0.1 to 164.81.255.254164.81.255.255131,070
42164.82.0.0/15164.82.0.1 to 164.83.255.254164.83.255.255131,070
43164.84.0.0/15164.84.0.1 to 164.85.255.254164.85.255.255131,070
44164.86.0.0/15164.86.0.1 to 164.87.255.254164.87.255.255131,070
45164.88.0.0/15164.88.0.1 to 164.89.255.254164.89.255.255131,070
46164.90.0.0/15164.90.0.1 to 164.91.255.254164.91.255.255131,070
47164.92.0.0/15164.92.0.1 to 164.93.255.254164.93.255.255131,070
48164.94.0.0/15164.94.0.1 to 164.95.255.254164.95.255.255131,070
49164.96.0.0/15164.96.0.1 to 164.97.255.254164.97.255.255131,070
50164.98.0.0/15164.98.0.1 to 164.99.255.254164.99.255.255131,070
51164.100.0.0/15164.100.0.1 to 164.101.255.254164.101.255.255131,070
52164.102.0.0/15164.102.0.1 to 164.103.255.254164.103.255.255131,070
53164.104.0.0/15164.104.0.1 to 164.105.255.254164.105.255.255131,070
54164.106.0.0/15164.106.0.1 to 164.107.255.254164.107.255.255131,070
55164.108.0.0/15164.108.0.1 to 164.109.255.254164.109.255.255131,070
56164.110.0.0/15164.110.0.1 to 164.111.255.254164.111.255.255131,070
57164.112.0.0/15164.112.0.1 to 164.113.255.254164.113.255.255131,070
58164.114.0.0/15164.114.0.1 to 164.115.255.254164.115.255.255131,070
59164.116.0.0/15164.116.0.1 to 164.117.255.254164.117.255.255131,070
60164.118.0.0/15164.118.0.1 to 164.119.255.254164.119.255.255131,070
61164.120.0.0/15164.120.0.1 to 164.121.255.254164.121.255.255131,070
62164.122.0.0/15164.122.0.1 to 164.123.255.254164.123.255.255131,070
63164.124.0.0/15164.124.0.1 to 164.125.255.254164.125.255.255131,070
64164.126.0.0/15164.126.0.1 to 164.127.255.254164.127.255.255131,070
65164.128.0.0/15164.128.0.1 to 164.129.255.254164.129.255.255131,070
66164.130.0.0/15164.130.0.1 to 164.131.255.254164.131.255.255131,070
67164.132.0.0/15164.132.0.1 to 164.133.255.254164.133.255.255131,070
68164.134.0.0/15164.134.0.1 to 164.135.255.254164.135.255.255131,070
69164.136.0.0/15164.136.0.1 to 164.137.255.254164.137.255.255131,070
70164.138.0.0/15164.138.0.1 to 164.139.255.254164.139.255.255131,070
71164.140.0.0/15164.140.0.1 to 164.141.255.254164.141.255.255131,070
72164.142.0.0/15164.142.0.1 to 164.143.255.254164.143.255.255131,070
73164.144.0.0/15164.144.0.1 to 164.145.255.254164.145.255.255131,070
74164.146.0.0/15164.146.0.1 to 164.147.255.254164.147.255.255131,070
75164.148.0.0/15164.148.0.1 to 164.149.255.254164.149.255.255131,070
76164.150.0.0/15164.150.0.1 to 164.151.255.254164.151.255.255131,070
77164.152.0.0/15164.152.0.1 to 164.153.255.254164.153.255.255131,070
78164.154.0.0/15164.154.0.1 to 164.155.255.254164.155.255.255131,070
79164.156.0.0/15164.156.0.1 to 164.157.255.254164.157.255.255131,070
80164.158.0.0/15164.158.0.1 to 164.159.255.254164.159.255.255131,070
81164.160.0.0/15164.160.0.1 to 164.161.255.254164.161.255.255131,070
82164.162.0.0/15164.162.0.1 to 164.163.255.254164.163.255.255131,070
83164.164.0.0/15164.164.0.1 to 164.165.255.254164.165.255.255131,070
84164.166.0.0/15164.166.0.1 to 164.167.255.254164.167.255.255131,070
85164.168.0.0/15164.168.0.1 to 164.169.255.254164.169.255.255131,070
86164.170.0.0/15164.170.0.1 to 164.171.255.254164.171.255.255131,070
87164.172.0.0/15164.172.0.1 to 164.173.255.254164.173.255.255131,070
88164.174.0.0/15164.174.0.1 to 164.175.255.254164.175.255.255131,070
89164.176.0.0/15164.176.0.1 to 164.177.255.254164.177.255.255131,070
90164.178.0.0/15164.178.0.1 to 164.179.255.254164.179.255.255131,070
91164.180.0.0/15164.180.0.1 to 164.181.255.254164.181.255.255131,070
92164.182.0.0/15164.182.0.1 to 164.183.255.254164.183.255.255131,070
93164.184.0.0/15164.184.0.1 to 164.185.255.254164.185.255.255131,070
94164.186.0.0/15164.186.0.1 to 164.187.255.254164.187.255.255131,070
95164.188.0.0/15164.188.0.1 to 164.189.255.254164.189.255.255131,070
96164.190.0.0/15164.190.0.1 to 164.191.255.254164.191.255.255131,070
97164.192.0.0/15164.192.0.1 to 164.193.255.254164.193.255.255131,070
98164.194.0.0/15164.194.0.1 to 164.195.255.254164.195.255.255131,070
99164.196.0.0/15164.196.0.1 to 164.197.255.254164.197.255.255131,070
100164.198.0.0/15164.198.0.1 to 164.199.255.254164.199.255.255131,070
101164.200.0.0/15164.200.0.1 to 164.201.255.254164.201.255.255131,070
102164.202.0.0/15164.202.0.1 to 164.203.255.254164.203.255.255131,070
103164.204.0.0/15164.204.0.1 to 164.205.255.254164.205.255.255131,070
104164.206.0.0/15164.206.0.1 to 164.207.255.254164.207.255.255131,070
105164.208.0.0/15164.208.0.1 to 164.209.255.254164.209.255.255131,070
106164.210.0.0/15164.210.0.1 to 164.211.255.254164.211.255.255131,070
107164.212.0.0/15164.212.0.1 to 164.213.255.254164.213.255.255131,070
108164.214.0.0/15164.214.0.1 to 164.215.255.254164.215.255.255131,070
109164.216.0.0/15164.216.0.1 to 164.217.255.254164.217.255.255131,070
110164.218.0.0/15164.218.0.1 to 164.219.255.254164.219.255.255131,070
111164.220.0.0/15164.220.0.1 to 164.221.255.254164.221.255.255131,070
112164.222.0.0/15164.222.0.1 to 164.223.255.254164.223.255.255131,070
113164.224.0.0/15164.224.0.1 to 164.225.255.254164.225.255.255131,070
114164.226.0.0/15164.226.0.1 to 164.227.255.254164.227.255.255131,070
115164.228.0.0/15164.228.0.1 to 164.229.255.254164.229.255.255131,070
116164.230.0.0/15164.230.0.1 to 164.231.255.254164.231.255.255131,070
117164.232.0.0/15164.232.0.1 to 164.233.255.254164.233.255.255131,070
118164.234.0.0/15164.234.0.1 to 164.235.255.254164.235.255.255131,070
119164.236.0.0/15164.236.0.1 to 164.237.255.254164.237.255.255131,070
120164.238.0.0/15164.238.0.1 to 164.239.255.254164.239.255.255131,070
121164.240.0.0/15164.240.0.1 to 164.241.255.254164.241.255.255131,070
122164.242.0.0/15164.242.0.1 to 164.243.255.254164.243.255.255131,070
123164.244.0.0/15164.244.0.1 to 164.245.255.254164.245.255.255131,070
124164.246.0.0/15164.246.0.1 to 164.247.255.254164.247.255.255131,070
125164.248.0.0/15164.248.0.1 to 164.249.255.254164.249.255.255131,070
126164.250.0.0/15164.250.0.1 to 164.251.255.254164.251.255.255131,070
127164.252.0.0/15164.252.0.1 to 164.253.255.254164.253.255.255131,070
128164.254.0.0/15164.254.0.1 to 164.255.255.254164.255.255.255131,070
129165.0.0.0/15165.0.0.1 to 165.1.255.254165.1.255.255131,070
130165.2.0.0/15165.2.0.1 to 165.3.255.254165.3.255.255131,070
131165.4.0.0/15165.4.0.1 to 165.5.255.254165.5.255.255131,070
132165.6.0.0/15165.6.0.1 to 165.7.255.254165.7.255.255131,070
133165.8.0.0/15165.8.0.1 to 165.9.255.254165.9.255.255131,070
134165.10.0.0/15165.10.0.1 to 165.11.255.254165.11.255.255131,070
135165.12.0.0/15165.12.0.1 to 165.13.255.254165.13.255.255131,070
136165.14.0.0/15165.14.0.1 to 165.15.255.254165.15.255.255131,070
137165.16.0.0/15165.16.0.1 to 165.17.255.254165.17.255.255131,070
138165.18.0.0/15165.18.0.1 to 165.19.255.254165.19.255.255131,070
139165.20.0.0/15165.20.0.1 to 165.21.255.254165.21.255.255131,070
140165.22.0.0/15165.22.0.1 to 165.23.255.254165.23.255.255131,070
141165.24.0.0/15165.24.0.1 to 165.25.255.254165.25.255.255131,070
142165.26.0.0/15165.26.0.1 to 165.27.255.254165.27.255.255131,070
143165.28.0.0/15165.28.0.1 to 165.29.255.254165.29.255.255131,070
144165.30.0.0/15165.30.0.1 to 165.31.255.254165.31.255.255131,070
145165.32.0.0/15165.32.0.1 to 165.33.255.254165.33.255.255131,070
146165.34.0.0/15165.34.0.1 to 165.35.255.254165.35.255.255131,070
147165.36.0.0/15165.36.0.1 to 165.37.255.254165.37.255.255131,070
148165.38.0.0/15165.38.0.1 to 165.39.255.254165.39.255.255131,070
149165.40.0.0/15165.40.0.1 to 165.41.255.254165.41.255.255131,070
150165.42.0.0/15165.42.0.1 to 165.43.255.254165.43.255.255131,070
151165.44.0.0/15165.44.0.1 to 165.45.255.254165.45.255.255131,070
152165.46.0.0/15165.46.0.1 to 165.47.255.254165.47.255.255131,070
153165.48.0.0/15165.48.0.1 to 165.49.255.254165.49.255.255131,070
154165.50.0.0/15165.50.0.1 to 165.51.255.254165.51.255.255131,070
155165.52.0.0/15165.52.0.1 to 165.53.255.254165.53.255.255131,070
156165.54.0.0/15165.54.0.1 to 165.55.255.254165.55.255.255131,070
157165.56.0.0/15165.56.0.1 to 165.57.255.254165.57.255.255131,070
158165.58.0.0/15165.58.0.1 to 165.59.255.254165.59.255.255131,070
159165.60.0.0/15165.60.0.1 to 165.61.255.254165.61.255.255131,070
160165.62.0.0/15165.62.0.1 to 165.63.255.254165.63.255.255131,070
161165.64.0.0/15165.64.0.1 to 165.65.255.254165.65.255.255131,070
162165.66.0.0/15165.66.0.1 to 165.67.255.254165.67.255.255131,070
163165.68.0.0/15165.68.0.1 to 165.69.255.254165.69.255.255131,070
164165.70.0.0/15165.70.0.1 to 165.71.255.254165.71.255.255131,070
165165.72.0.0/15165.72.0.1 to 165.73.255.254165.73.255.255131,070
166165.74.0.0/15165.74.0.1 to 165.75.255.254165.75.255.255131,070
167165.76.0.0/15165.76.0.1 to 165.77.255.254165.77.255.255131,070
168165.78.0.0/15165.78.0.1 to 165.79.255.254165.79.255.255131,070
169165.80.0.0/15165.80.0.1 to 165.81.255.254165.81.255.255131,070
170165.82.0.0/15165.82.0.1 to 165.83.255.254165.83.255.255131,070
171165.84.0.0/15165.84.0.1 to 165.85.255.254165.85.255.255131,070
172165.86.0.0/15165.86.0.1 to 165.87.255.254165.87.255.255131,070
173165.88.0.0/15165.88.0.1 to 165.89.255.254165.89.255.255131,070
174165.90.0.0/15165.90.0.1 to 165.91.255.254165.91.255.255131,070
175165.92.0.0/15165.92.0.1 to 165.93.255.254165.93.255.255131,070
176165.94.0.0/15165.94.0.1 to 165.95.255.254165.95.255.255131,070
177165.96.0.0/15165.96.0.1 to 165.97.255.254165.97.255.255131,070
178165.98.0.0/15165.98.0.1 to 165.99.255.254165.99.255.255131,070
179165.100.0.0/15165.100.0.1 to 165.101.255.254165.101.255.255131,070
180165.102.0.0/15165.102.0.1 to 165.103.255.254165.103.255.255131,070
181165.104.0.0/15165.104.0.1 to 165.105.255.254165.105.255.255131,070
182165.106.0.0/15165.106.0.1 to 165.107.255.254165.107.255.255131,070
183165.108.0.0/15165.108.0.1 to 165.109.255.254165.109.255.255131,070
184165.110.0.0/15165.110.0.1 to 165.111.255.254165.111.255.255131,070
185165.112.0.0/15165.112.0.1 to 165.113.255.254165.113.255.255131,070
186165.114.0.0/15165.114.0.1 to 165.115.255.254165.115.255.255131,070
187165.116.0.0/15165.116.0.1 to 165.117.255.254165.117.255.255131,070
188165.118.0.0/15165.118.0.1 to 165.119.255.254165.119.255.255131,070
189165.120.0.0/15165.120.0.1 to 165.121.255.254165.121.255.255131,070
190165.122.0.0/15165.122.0.1 to 165.123.255.254165.123.255.255131,070
191165.124.0.0/15165.124.0.1 to 165.125.255.254165.125.255.255131,070
192165.126.0.0/15165.126.0.1 to 165.127.255.254165.127.255.255131,070
193165.128.0.0/15165.128.0.1 to 165.129.255.254165.129.255.255131,070
194165.130.0.0/15165.130.0.1 to 165.131.255.254165.131.255.255131,070
195165.132.0.0/15165.132.0.1 to 165.133.255.254165.133.255.255131,070
196165.134.0.0/15165.134.0.1 to 165.135.255.254165.135.255.255131,070
197165.136.0.0/15165.136.0.1 to 165.137.255.254165.137.255.255131,070
198165.138.0.0/15165.138.0.1 to 165.139.255.254165.139.255.255131,070
199165.140.0.0/15165.140.0.1 to 165.141.255.254165.141.255.255131,070
200165.142.0.0/15165.142.0.1 to 165.143.255.254165.143.255.255131,070
201165.144.0.0/15165.144.0.1 to 165.145.255.254165.145.255.255131,070
202165.146.0.0/15165.146.0.1 to 165.147.255.254165.147.255.255131,070
203165.148.0.0/15165.148.0.1 to 165.149.255.254165.149.255.255131,070
204165.150.0.0/15165.150.0.1 to 165.151.255.254165.151.255.255131,070
205165.152.0.0/15165.152.0.1 to 165.153.255.254165.153.255.255131,070
206165.154.0.0/15165.154.0.1 to 165.155.255.254165.155.255.255131,070
207165.156.0.0/15165.156.0.1 to 165.157.255.254165.157.255.255131,070
208165.158.0.0/15165.158.0.1 to 165.159.255.254165.159.255.255131,070
209165.160.0.0/15165.160.0.1 to 165.161.255.254165.161.255.255131,070
210165.162.0.0/15165.162.0.1 to 165.163.255.254165.163.255.255131,070
211165.164.0.0/15165.164.0.1 to 165.165.255.254165.165.255.255131,070
212165.166.0.0/15165.166.0.1 to 165.167.255.254165.167.255.255131,070
213165.168.0.0/15165.168.0.1 to 165.169.255.254165.169.255.255131,070
214165.170.0.0/15165.170.0.1 to 165.171.255.254165.171.255.255131,070
215165.172.0.0/15165.172.0.1 to 165.173.255.254165.173.255.255131,070
216165.174.0.0/15165.174.0.1 to 165.175.255.254165.175.255.255131,070
217165.176.0.0/15165.176.0.1 to 165.177.255.254165.177.255.255131,070
218165.178.0.0/15165.178.0.1 to 165.179.255.254165.179.255.255131,070
219165.180.0.0/15165.180.0.1 to 165.181.255.254165.181.255.255131,070
220165.182.0.0/15165.182.0.1 to 165.183.255.254165.183.255.255131,070
221165.184.0.0/15165.184.0.1 to 165.185.255.254165.185.255.255131,070
222165.186.0.0/15165.186.0.1 to 165.187.255.254165.187.255.255131,070
223165.188.0.0/15165.188.0.1 to 165.189.255.254165.189.255.255131,070
224165.190.0.0/15165.190.0.1 to 165.191.255.254165.191.255.255131,070
225165.192.0.0/15165.192.0.1 to 165.193.255.254165.193.255.255131,070
226165.194.0.0/15165.194.0.1 to 165.195.255.254165.195.255.255131,070
227165.196.0.0/15165.196.0.1 to 165.197.255.254165.197.255.255131,070
228165.198.0.0/15165.198.0.1 to 165.199.255.254165.199.255.255131,070
229165.200.0.0/15165.200.0.1 to 165.201.255.254165.201.255.255131,070
230165.202.0.0/15165.202.0.1 to 165.203.255.254165.203.255.255131,070
231165.204.0.0/15165.204.0.1 to 165.205.255.254165.205.255.255131,070
232165.206.0.0/15165.206.0.1 to 165.207.255.254165.207.255.255131,070
233165.208.0.0/15165.208.0.1 to 165.209.255.254165.209.255.255131,070
234165.210.0.0/15165.210.0.1 to 165.211.255.254165.211.255.255131,070
235165.212.0.0/15165.212.0.1 to 165.213.255.254165.213.255.255131,070
236165.214.0.0/15165.214.0.1 to 165.215.255.254165.215.255.255131,070
237165.216.0.0/15165.216.0.1 to 165.217.255.254165.217.255.255131,070
238165.218.0.0/15165.218.0.1 to 165.219.255.254165.219.255.255131,070
239165.220.0.0/15165.220.0.1 to 165.221.255.254165.221.255.255131,070
240165.222.0.0/15165.222.0.1 to 165.223.255.254165.223.255.255131,070
241165.224.0.0/15165.224.0.1 to 165.225.255.254165.225.255.255131,070
242165.226.0.0/15165.226.0.1 to 165.227.255.254165.227.255.255131,070
243165.228.0.0/15165.228.0.1 to 165.229.255.254165.229.255.255131,070
244165.230.0.0/15165.230.0.1 to 165.231.255.254165.231.255.255131,070
245165.232.0.0/15165.232.0.1 to 165.233.255.254165.233.255.255131,070
246165.234.0.0/15165.234.0.1 to 165.235.255.254165.235.255.255131,070
247165.236.0.0/15165.236.0.1 to 165.237.255.254165.237.255.255131,070
248165.238.0.0/15165.238.0.1 to 165.239.255.254165.239.255.255131,070
249165.240.0.0/15165.240.0.1 to 165.241.255.254165.241.255.255131,070
250165.242.0.0/15165.242.0.1 to 165.243.255.254165.243.255.255131,070
251165.244.0.0/15165.244.0.1 to 165.245.255.254165.245.255.255131,070
252165.246.0.0/15165.246.0.1 to 165.247.255.254165.247.255.255131,070
253165.248.0.0/15165.248.0.1 to 165.249.255.254165.249.255.255131,070
254165.250.0.0/15165.250.0.1 to 165.251.255.254165.251.255.255131,070
255165.252.0.0/15165.252.0.1 to 165.253.255.254165.253.255.255131,070
256165.254.0.0/15165.254.0.1 to 165.255.255.254165.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses